<?php
/**
 * @copyright NetMonsters <team@netmonsters.ru>
 * @link http://netmonsters.ru
 * @package Majestic
 * @subpackage cache
 * @since 2010-03-12
 * @version SVN: $Id$
 * @filesource $URL$
 */

interface iCacheable
{
    /**
     * @return Cache
     */
    public function getCache();
    
    /**
     * @param string $key
     * @return Expiration time in seconds
     */
    public function getKeyExpire($key);
}